jfirebaugh jfirebaugh

konacha

11 3 0

Test your Rails application's JavaScript with the mocha test framework and chai assertion library

Dependencies

Package Locked Requirement Latest Status Changelog
Gems actionpack < 5, >= 3.1 5.0.0.1

actionpack

Web apps on Rails. Simple, battle-tested conventions for building and testing MVC web applications. Works with any Rack-compatible server.

This dependency is up-to-date. Congrats and keep going!

Gems capybara >= 0 2.8.1

capybara

Capybara is an integration testing tool for rack based web applications. It simulates how a user would interact with a website

This dependency is up-to-date. Congrats and keep going!

Gems colorize >= 0 0.8.1

colorize

Extends String class or add a ColorizedString with methods to set text color, background color and text effects.

This dependency is up-to-date. Congrats and keep going!

Gems railties ~> 4.1.0 5.0.0.1

railties

Rails internals: application bootup, plugins, generators, and rake tasks.

This dependency is not matching latest version. Please consider upgrading.

Gems sprockets ~> 2 3.7.0

sprockets

Sprockets is a Rack-based asset packaging system that concatenates and serves JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.

This dependency is not matching latest version. Please consider upgrading.

Gems sprockets-rails >= 0 3.1.1

sprockets-rails

Sprockets Rails integration

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems capybara-firebug ~> 1.1 2.1.0

capybara-firebug

Provides a dead-simple way to run scenarios with Firebug enabled under the selenium driver.

This dependency is not matching latest version. Please consider upgrading.

Gems coffee-script >= 0 2.4.1

coffee-script

Ruby CoffeeScript is a bridge to the JS CoffeeScript compiler.

This dependency is up-to-date. Congrats and keep going!

Gems ejs >= 0 1.1.1

ejs

Compile and evaluate EJS (Embedded JavaScript) templates from Ruby.

This dependency is up-to-date. Congrats and keep going!

Gems jquery-rails >= 0 4.2.1

jquery-rails

This gem provides jQuery and the jQuery-ujs driver for your Rails 4+ application.

This dependency is up-to-date. Congrats and keep going!

Gems poltergeist ~> 1.5 1.10.0

poltergeist

Poltergeist is a driver for Capybara that allows you to run your tests on a headless WebKit browser, provided by PhantomJS.

This dependency is up-to-date. Congrats and keep going!

Gems rspec-rails ~> 3.1 3.5.1

rspec-rails

rspec-rails is a testing framework for Rails 3+.

This dependency is up-to-date. Congrats and keep going!

Gems selenium-webdriver >= 0 2.53.4

selenium-webdriver

WebDriver is a tool for writing automated tests of websites. It aims to mimic the behaviour of a real user, and as such interacts with the HTML of the application.

This dependency is up-to-date. Congrats and keep going!

Gems tzinfo >= 0 1.2.2

tzinfo

TZInfo provides daylight savings aware transformations between times in different time zones.

This dependency is up-to-date. Congrats and keep going!